Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
246.0.0.0
Broadcast address
247.255.255.255
First usable
246.0.0.1
Last usable
247.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6000000 · Integer 4127195136 to 4160749567
Reverse DNS zones
246.in-addr.arpa
247.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00000000.00000000.00000000246.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11110110.00000000.00000000.00000000246.0.0.0
Broadcast11110111.11111111.11111111.11111111247.255.255.255
Split into smaller subnets/14

246.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.0.0.0/14246.0.0.1 to 246.3.255.254246.3.255.255262,142
2246.4.0.0/14246.4.0.1 to 246.7.255.254246.7.255.255262,142
3246.8.0.0/14246.8.0.1 to 246.11.255.254246.11.255.255262,142
4246.12.0.0/14246.12.0.1 to 246.15.255.254246.15.255.255262,142
5246.16.0.0/14246.16.0.1 to 246.19.255.254246.19.255.255262,142
6246.20.0.0/14246.20.0.1 to 246.23.255.254246.23.255.255262,142
7246.24.0.0/14246.24.0.1 to 246.27.255.254246.27.255.255262,142
8246.28.0.0/14246.28.0.1 to 246.31.255.254246.31.255.255262,142
9246.32.0.0/14246.32.0.1 to 246.35.255.254246.35.255.255262,142
10246.36.0.0/14246.36.0.1 to 246.39.255.254246.39.255.255262,142
11246.40.0.0/14246.40.0.1 to 246.43.255.254246.43.255.255262,142
12246.44.0.0/14246.44.0.1 to 246.47.255.254246.47.255.255262,142
13246.48.0.0/14246.48.0.1 to 246.51.255.254246.51.255.255262,142
14246.52.0.0/14246.52.0.1 to 246.55.255.254246.55.255.255262,142
15246.56.0.0/14246.56.0.1 to 246.59.255.254246.59.255.255262,142
16246.60.0.0/14246.60.0.1 to 246.63.255.254246.63.255.255262,142
17246.64.0.0/14246.64.0.1 to 246.67.255.254246.67.255.255262,142
18246.68.0.0/14246.68.0.1 to 246.71.255.254246.71.255.255262,142
19246.72.0.0/14246.72.0.1 to 246.75.255.254246.75.255.255262,142
20246.76.0.0/14246.76.0.1 to 246.79.255.254246.79.255.255262,142
21246.80.0.0/14246.80.0.1 to 246.83.255.254246.83.255.255262,142
22246.84.0.0/14246.84.0.1 to 246.87.255.254246.87.255.255262,142
23246.88.0.0/14246.88.0.1 to 246.91.255.254246.91.255.255262,142
24246.92.0.0/14246.92.0.1 to 246.95.255.254246.95.255.255262,142
25246.96.0.0/14246.96.0.1 to 246.99.255.254246.99.255.255262,142
26246.100.0.0/14246.100.0.1 to 246.103.255.254246.103.255.255262,142
27246.104.0.0/14246.104.0.1 to 246.107.255.254246.107.255.255262,142
28246.108.0.0/14246.108.0.1 to 246.111.255.254246.111.255.255262,142
29246.112.0.0/14246.112.0.1 to 246.115.255.254246.115.255.255262,142
30246.116.0.0/14246.116.0.1 to 246.119.255.254246.119.255.255262,142
31246.120.0.0/14246.120.0.1 to 246.123.255.254246.123.255.255262,142
32246.124.0.0/14246.124.0.1 to 246.127.255.254246.127.255.255262,142
33246.128.0.0/14246.128.0.1 to 246.131.255.254246.131.255.255262,142
34246.132.0.0/14246.132.0.1 to 246.135.255.254246.135.255.255262,142
35246.136.0.0/14246.136.0.1 to 246.139.255.254246.139.255.255262,142
36246.140.0.0/14246.140.0.1 to 246.143.255.254246.143.255.255262,142
37246.144.0.0/14246.144.0.1 to 246.147.255.254246.147.255.255262,142
38246.148.0.0/14246.148.0.1 to 246.151.255.254246.151.255.255262,142
39246.152.0.0/14246.152.0.1 to 246.155.255.254246.155.255.255262,142
40246.156.0.0/14246.156.0.1 to 246.159.255.254246.159.255.255262,142
41246.160.0.0/14246.160.0.1 to 246.163.255.254246.163.255.255262,142
42246.164.0.0/14246.164.0.1 to 246.167.255.254246.167.255.255262,142
43246.168.0.0/14246.168.0.1 to 246.171.255.254246.171.255.255262,142
44246.172.0.0/14246.172.0.1 to 246.175.255.254246.175.255.255262,142
45246.176.0.0/14246.176.0.1 to 246.179.255.254246.179.255.255262,142
46246.180.0.0/14246.180.0.1 to 246.183.255.254246.183.255.255262,142
47246.184.0.0/14246.184.0.1 to 246.187.255.254246.187.255.255262,142
48246.188.0.0/14246.188.0.1 to 246.191.255.254246.191.255.255262,142
49246.192.0.0/14246.192.0.1 to 246.195.255.254246.195.255.255262,142
50246.196.0.0/14246.196.0.1 to 246.199.255.254246.199.255.255262,142
51246.200.0.0/14246.200.0.1 to 246.203.255.254246.203.255.255262,142
52246.204.0.0/14246.204.0.1 to 246.207.255.254246.207.255.255262,142
53246.208.0.0/14246.208.0.1 to 246.211.255.254246.211.255.255262,142
54246.212.0.0/14246.212.0.1 to 246.215.255.254246.215.255.255262,142
55246.216.0.0/14246.216.0.1 to 246.219.255.254246.219.255.255262,142
56246.220.0.0/14246.220.0.1 to 246.223.255.254246.223.255.255262,142
57246.224.0.0/14246.224.0.1 to 246.227.255.254246.227.255.255262,142
58246.228.0.0/14246.228.0.1 to 246.231.255.254246.231.255.255262,142
59246.232.0.0/14246.232.0.1 to 246.235.255.254246.235.255.255262,142
60246.236.0.0/14246.236.0.1 to 246.239.255.254246.239.255.255262,142
61246.240.0.0/14246.240.0.1 to 246.243.255.254246.243.255.255262,142
62246.244.0.0/14246.244.0.1 to 246.247.255.254246.247.255.255262,142
63246.248.0.0/14246.248.0.1 to 246.251.255.254246.251.255.255262,142
64246.252.0.0/14246.252.0.1 to 246.255.255.254246.255.255.255262,142
65247.0.0.0/14247.0.0.1 to 247.3.255.254247.3.255.255262,142
66247.4.0.0/14247.4.0.1 to 247.7.255.254247.7.255.255262,142
67247.8.0.0/14247.8.0.1 to 247.11.255.254247.11.255.255262,142
68247.12.0.0/14247.12.0.1 to 247.15.255.254247.15.255.255262,142
69247.16.0.0/14247.16.0.1 to 247.19.255.254247.19.255.255262,142
70247.20.0.0/14247.20.0.1 to 247.23.255.254247.23.255.255262,142
71247.24.0.0/14247.24.0.1 to 247.27.255.254247.27.255.255262,142
72247.28.0.0/14247.28.0.1 to 247.31.255.254247.31.255.255262,142
73247.32.0.0/14247.32.0.1 to 247.35.255.254247.35.255.255262,142
74247.36.0.0/14247.36.0.1 to 247.39.255.254247.39.255.255262,142
75247.40.0.0/14247.40.0.1 to 247.43.255.254247.43.255.255262,142
76247.44.0.0/14247.44.0.1 to 247.47.255.254247.47.255.255262,142
77247.48.0.0/14247.48.0.1 to 247.51.255.254247.51.255.255262,142
78247.52.0.0/14247.52.0.1 to 247.55.255.254247.55.255.255262,142
79247.56.0.0/14247.56.0.1 to 247.59.255.254247.59.255.255262,142
80247.60.0.0/14247.60.0.1 to 247.63.255.254247.63.255.255262,142
81247.64.0.0/14247.64.0.1 to 247.67.255.254247.67.255.255262,142
82247.68.0.0/14247.68.0.1 to 247.71.255.254247.71.255.255262,142
83247.72.0.0/14247.72.0.1 to 247.75.255.254247.75.255.255262,142
84247.76.0.0/14247.76.0.1 to 247.79.255.254247.79.255.255262,142
85247.80.0.0/14247.80.0.1 to 247.83.255.254247.83.255.255262,142
86247.84.0.0/14247.84.0.1 to 247.87.255.254247.87.255.255262,142
87247.88.0.0/14247.88.0.1 to 247.91.255.254247.91.255.255262,142
88247.92.0.0/14247.92.0.1 to 247.95.255.254247.95.255.255262,142
89247.96.0.0/14247.96.0.1 to 247.99.255.254247.99.255.255262,142
90247.100.0.0/14247.100.0.1 to 247.103.255.254247.103.255.255262,142
91247.104.0.0/14247.104.0.1 to 247.107.255.254247.107.255.255262,142
92247.108.0.0/14247.108.0.1 to 247.111.255.254247.111.255.255262,142
93247.112.0.0/14247.112.0.1 to 247.115.255.254247.115.255.255262,142
94247.116.0.0/14247.116.0.1 to 247.119.255.254247.119.255.255262,142
95247.120.0.0/14247.120.0.1 to 247.123.255.254247.123.255.255262,142
96247.124.0.0/14247.124.0.1 to 247.127.255.254247.127.255.255262,142
97247.128.0.0/14247.128.0.1 to 247.131.255.254247.131.255.255262,142
98247.132.0.0/14247.132.0.1 to 247.135.255.254247.135.255.255262,142
99247.136.0.0/14247.136.0.1 to 247.139.255.254247.139.255.255262,142
100247.140.0.0/14247.140.0.1 to 247.143.255.254247.143.255.255262,142
101247.144.0.0/14247.144.0.1 to 247.147.255.254247.147.255.255262,142
102247.148.0.0/14247.148.0.1 to 247.151.255.254247.151.255.255262,142
103247.152.0.0/14247.152.0.1 to 247.155.255.254247.155.255.255262,142
104247.156.0.0/14247.156.0.1 to 247.159.255.254247.159.255.255262,142
105247.160.0.0/14247.160.0.1 to 247.163.255.254247.163.255.255262,142
106247.164.0.0/14247.164.0.1 to 247.167.255.254247.167.255.255262,142
107247.168.0.0/14247.168.0.1 to 247.171.255.254247.171.255.255262,142
108247.172.0.0/14247.172.0.1 to 247.175.255.254247.175.255.255262,142
109247.176.0.0/14247.176.0.1 to 247.179.255.254247.179.255.255262,142
110247.180.0.0/14247.180.0.1 to 247.183.255.254247.183.255.255262,142
111247.184.0.0/14247.184.0.1 to 247.187.255.254247.187.255.255262,142
112247.188.0.0/14247.188.0.1 to 247.191.255.254247.191.255.255262,142
113247.192.0.0/14247.192.0.1 to 247.195.255.254247.195.255.255262,142
114247.196.0.0/14247.196.0.1 to 247.199.255.254247.199.255.255262,142
115247.200.0.0/14247.200.0.1 to 247.203.255.254247.203.255.255262,142
116247.204.0.0/14247.204.0.1 to 247.207.255.254247.207.255.255262,142
117247.208.0.0/14247.208.0.1 to 247.211.255.254247.211.255.255262,142
118247.212.0.0/14247.212.0.1 to 247.215.255.254247.215.255.255262,142
119247.216.0.0/14247.216.0.1 to 247.219.255.254247.219.255.255262,142
120247.220.0.0/14247.220.0.1 to 247.223.255.254247.223.255.255262,142
121247.224.0.0/14247.224.0.1 to 247.227.255.254247.227.255.255262,142
122247.228.0.0/14247.228.0.1 to 247.231.255.254247.231.255.255262,142
123247.232.0.0/14247.232.0.1 to 247.235.255.254247.235.255.255262,142
124247.236.0.0/14247.236.0.1 to 247.239.255.254247.239.255.255262,142
125247.240.0.0/14247.240.0.1 to 247.243.255.254247.243.255.255262,142
126247.244.0.0/14247.244.0.1 to 247.247.255.254247.247.255.255262,142
127247.248.0.0/14247.248.0.1 to 247.251.255.254247.251.255.255262,142
128247.252.0.0/14247.252.0.1 to 247.255.255.254247.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses